Test::Assign::IntTest Class Referenceabstract

Base class for tests for assigning integer variables More...

`#include <assign.hh>`

## Public Member Functions

| IntTest (const std::string &s, int a, const Gecode::IntSet &d)
| Construct and register test.
virtual bool | run (void)
| Perform test.
virtual void | post (Gecode::Space &home, Gecode::IntVarArray &x)=0
| Post assignment on variables x.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Protected Attributes

int | arity
| Number of variables.
Gecode::IntSet | dom
| Domain of variables.

## Additional Inherited Members

Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Base class for tests for assigning integer variables

Definition at line 61 of file assign.hh.

## Constructor & Destructor Documentation

## IntTest()

Test::Assign::IntTest::IntTest | ( | const std::string & | s,
|  | int | a,
|  | const Gecode::IntSet & | d )

Construct and register test.

## Member Function Documentation

## run()

virtual bool Test::Assign::IntTest::run | ( | void |  | ) |

virtual

Perform test.

Implements Test::Base.

## post()

virtual void Test::Assign::IntTest::post | ( | Gecode::Space & | home,
|  | Gecode::IntVarArray & | x )

pure virtual

Post assignment on variables x.

Implemented in Test::Assign::Int.

## Member Data Documentation

## arity

int Test::Assign::IntTest::arity

protected

Number of variables.

Definition at line 64 of file assign.hh.

## dom

Gecode::IntSet Test::Assign::IntTest::dom

protected

Domain of variables.

Definition at line 66 of file assign.hh.

The documentation for this class was generated from the following file:

- test/assign.hh